import React, {Component} from 'react'
import PropTypes from 'prop-types'
import { Form, Row, Col, Switch } from 'antd'

import CodeMirror from '@/templates/zshare/codemirror'
// import './index.scss'

class SettingForm extends Component {
  static propTpyes = {
    baseSql: PropTypes.object
  }

  state = {
    enable: this.props.baseSql.enable
  }

  handleConfirm = () => {
    // 表单提交时检查输入值是否正确
    return new Promise((resolve, reject) => {
      this.props.form.validateFieldsAndScroll((err, values) => {
        if (!err) {
          values.enable = this.state.enable
          resolve(values)
        } else {
          reject(err)
        }
      })
    })
  }

  render() {
    const { baseSql } = this.props
    const { getFieldDecorator } = this.props.form

    const formItemLayout = {
      labelCol: {
        xs: { span: 24 },
        sm: { span: 3 }
      },
      wrapperCol: {
        xs: { span: 24 },
        sm: { span: 21 }
      }
    }

    return (
      <Form {...formItemLayout}>
        <Row gutter={24}>
          <Col span={24}>
            <Form.Item label="是否启用">
              <Switch defaultChecked={baseSql.enable} onChange={(val) => {this.setState({enable: val})}} checkedChildren="是" unCheckedChildren="否" />
            </Form.Item>
          </Col>
          <Col span={24}>
            <Form.Item label="SQL">
              {getFieldDecorator('sql', {
                initialValue: baseSql.sql || ''
              })(
                <CodeMirror />
              )}
            </Form.Item>
          </Col>
        </Row>
      </Form>
    )
  }
}

export default Form.create()(SettingForm)